import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const apiKey = await client.apiKeys.update('id', { name: 'new-api-name' });
console.log(apiKey.id);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
api_key = client.api_keys.update(
id="id",
name="new-api-name",
)
print(api_key.id)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
apiKey, err := client.APIKeys.Update(
context.TODO(),
"id",
kernel.APIKeyUpdateParams{
Name: "new-api-name",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apiKey.ID)
}curl --request PATCH \
--url https://api.onkernel.com/org/api_keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "new-api-name"
}
'
{
"id": "ckv9w8q2f000001l5r3j7k9m4",
"name": "production",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "user-abc123",
"email": "user@example.com",
"name": "Jane Doe"
},
"expires_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"project_id": "proj_abc123",
"project_name": "Production",
"masked_key": "sk_1234...abcd"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Update an API key
Update an API key’s name.
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const apiKey = await client.apiKeys.update('id', { name: 'new-api-name' });
console.log(apiKey.id);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
api_key = client.api_keys.update(
id="id",
name="new-api-name",
)
print(api_key.id)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
apiKey, err := client.APIKeys.Update(
context.TODO(),
"id",
kernel.APIKeyUpdateParams{
Name: "new-api-name",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apiKey.ID)
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
API key ID
Body
New API key name
1 - 255"new-api-name"
Response
API key updated
Unique API key identifier
"ckv9w8q2f000001l5r3j7k9m4"
Label for the API key. API keys are not addressable by name; use the ID or key identifier for stable references.
"production"
When the API key was created
Show child attributes
Show child attributes
When the API key expires
When the API key was deleted (soft-deleted). Null for keys that have not been deleted.
Project identifier for project-scoped API keys. Null means org-wide.
"proj_abc123"
Project name for project-scoped API keys. Null means the key is org-wide or the project name is unavailable.
"Production"
Masked version of the API key
"sk_1234...abcd"